---
title: llarp::CSRNG
summary: rng type that uses llarp::randint(), which is cryptographically secure 

---

# llarp::CSRNG



rng type that uses [llarp::randint()](Namespaces/namespacellarp.md#function-randint), which is cryptographically secure 


`#include <crypto.hpp>`

## Public Types

|                | Name           |
| -------------- | -------------- |
| using uint64_t | **[result_type](Classes/structllarp_1_1CSRNG.md#using-result-type)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| constexpr uint64_t | **[min](Classes/structllarp_1_1CSRNG.md#function-min)**() |
| constexpr uint64_t | **[max](Classes/structllarp_1_1CSRNG.md#function-max)**() |
| uint64_t | **[operator()](Classes/structllarp_1_1CSRNG.md#function-operator())**() |

## Public Types Documentation

### using result_type

```cpp
using llarp::CSRNG::result_type =  uint64_t;
```


## Public Functions Documentation

### function min

```cpp
static inline constexpr uint64_t min()
```


### function max

```cpp
static inline constexpr uint64_t max()
```


### function operator()

```cpp
inline uint64_t operator()()
```


-------------------------------

Updated on 2023-01-30 at 17:55:37 +0000